function [DSHIFT]=DECALVECT(D,d)
//******************************************************************
//  Function to shift vector component
//
//  Input arguments of the function :
//        D     Vector data (matrix [Nx1])
//        d     Shift value (positive or negative)
//
//  Output arguments of the function :
//        DSHIFT Shifted vector
//

//------ Validation of input variables -------
    if size(D,2)<>1 then, error('Not a vector'); end      
    // round value of d
    d = sign(d)*round(min(abs(d),size(D,1)-1));
    
//------ Shifting -------    
    
  if d>=0     then
      DSHIFT = [zeros(d,1);D(1:$-d)];   //Delay if D is a time series
  elseif d<0  then
      DSHIFT = [D(-d+1:$);zeros(-d,1)]; //Advance if D is a time series 
  end

endfunction

